./databases/p5-Jifty-DBI, Perl 5 object-relational persistence framework

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.78nb2, Package name: p5-Jifty-DBI-0.78nb2, Maintainer: pkgsrc-users

The Perl 5 module Jifty::DBI deals with databases, so that you
don't have to. This module provides an object-oriented mechanism
for retrieving and updating data in a DBI-accessible database.
This module is the direct descendent of DBIx::SearchBuilder. If
you're familiar with SearchBuilder, Jifty::DBI should be quite
familiar to you.


Required to run:
[textproc/p5-Lingua-EN-Inflect] [textproc/p5-YAML-Syck] [www/p5-URI] [databases/p5-DBI] [databases/p5-DBIx-DBSchema] [lang/perl5] [time/p5-Time-Duration] [time/p5-DateTime] [time/p5-DateTime-Format-Strptime] [time/p5-DateTime-Format-ISO8601] [devel/p5-Class-Accessor] [devel/p5-UNIVERSAL-require] [devel/p5-Cache-Memcached] [devel/p5-Class-Data-Inheritable] [devel/p5-Class-ReturnValue] [devel/p5-Class-Trigger] [devel/p5-Cache-Simple-TimedExpiry] [devel/p5-Clone] [devel/p5-Data-Page] [devel/p5-Exporter-Lite] [devel/p5-Object-Declare] [devel/p5-Hash-Merge] [devel/p5-Scalar-Defer] [time/p5-Time-Duration-Parse]

Required to build:
[databases/p5-DBD-SQLite] [devel/p5-Test-Warn]

Master sites: (Expand)

SHA1: a42fd8810dda3b974d1d269ef485d810be5728ad
RMD160: f5e43cbbc9e6ab15cbb959ac62c3cbc053e3299a
Filesize: 164.452 KB

Version history: (Expand)


CVS history: (Expand)


   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2015-11-03 02:56:36 by Alistair G. Crooks | Files touched by this commit (368)
Log message:
Add SHA512 digests for distfiles for databases category

Problems found with existing distfiles:
	distfiles/D6.data.ros.gz
	distfiles/cstore0.2.tar.gz
	distfiles/data4.tar.gz
	distfiles/sphinx-2.2.7-release.tar.gz
No changes made to the cstore or mariadb55-client distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-07-12 20:56:37 by Thomas Klausner | Files touched by this commit (405)
Log message:
Comment out dependencies of the style
{perl>=5.16.6,p5-ExtUtils-ParseXS>=3.15}:../../devel/p5-ExtUtils-ParseXS
since pkgsrc enforces the newest perl version anyway, so they
should always pick perl, but sometimes (pkg_add) don't due to the
design of the {,} syntax.

No effective change for the above reason.

Ok joerg
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2015-05-01 02:49:29 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 0.78

Upstream changes:
0.78 2015-04-30
    * Make t/99-pod-spelling.t pass
    * Updated packaging
   2014-12-12 05:51:06 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update 0.74 to 0.77
0.77 2013-12-01
    * Fix for perl 5.19.4 parsing of @{ foo { ... } }
    * Fix signature

0.76 2013-06-17
    * Provide source repository info in metadata
    * Default Cached::Memcached dependency off on Windows due to known build problems

    Thanks to Alexandr Ciornii for both.

0.75 2013-01-29
- Bug fixes:
    * backport a sort order fix for Pg handles from Searchbuilder
    * Work around Pg's sub-second formatting and DateTime::Parser::ISO8601
    * Don't attempt to filter, eq-check, validate, or otherwise munge functions

- Tests:
    * Fix failures on 5.17.6, reported as [rt.cpan.org #82978]
    * Update test to account for the ported bug fix in f9439a0

- Cleanup:
    * remove a useless wrapper function

- Documentation:
    * SPROUT points out that the second fix in 0.73 is actually a run-time
      error, of course
   2014-05-30 01:38:20 by Thomas Klausner | Files touched by this commit (3049)
Log message:
Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.
   2013-12-09 15:17:56 by OBATA Akio | Files touched by this commit (238) | Package updated
Log message:
Fix/Update DEPENDS paterns for perl CORE modules, with some trivial fixes.

Bump PKGREVISION for runtime dependency pattern changed packages.